GET Double Opt-in Settings​
GET
/setting/double-optin
Retrieve the double opt-in email settings. Can return global settings or list-specific settings when a list_id is provided. Optionally includes form field definitions when with[]=settings_fields is specified.
Authorizations​
ApplicationPasswords
WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password
Type
API Key (header: Authorization)
Parameters​
Query Parameters
list_id
List ID to retrieve list-specific double opt-in settings. Omit for global settings.
Type
integer
with[]
Include additional data. Use settings_fields to include form field definitions for the settings UI.
Type
array
Responses​
Double opt-in settings returned successfully.
application/json
JSON
{
"settings": {
"design_template": "string",
"email_subject": "string",
"email_pre_header": "string",
"email_body": "string",
"after_confirmation_type": "string",
"after_confirm_message": "string",
"after_conf_redirect_url": "string",
"tag_based_redirect": "string",
"tag_redirects": [
{
"field_key": [
0
],
"field_value": "string"
}
]
},
"global_double_optin": "string",
"settings_fields": {
}
}